<%@ page import="com.medias.Context" %>

<script type="text/javascript">
    var InterfaceTemplate = Class.create( {

        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerTitle = $( "#title" );
            this.containerTools = $( "#tools" );
            this.containerLogin = $( "#loginModule" );
            this.containerMenu = $( "#menuBO" );

            /** *********** VARIABLES *********** **/
            this.isLanguageFr = <%=Context.getLangue(request).equals( "fr" )%>;
            this.path = "<%=request.getContextPath()%>";
            this.webmaster = "<%=Context.getWebmaster(request)%>";
            this.relativePageUri = <%=request.getQueryString() != null%> ? "<%=Context.getRelativePath( request )%>?<%=request.getQueryString()%>" : "<%=Context.getRelativePageURI(request)%>";
            this.jSONUser = <%=Context.getJSONUser( request )%> ? <%=Context.getJSONUser( request )%> : false;
            this.screenWidthLimit = 1336;

            /** ************ CREATE ************ **/
            this.createTitleTools();
            this.createMenu();
        },

        // CREATES ********************************************************
        createTitleTools: function()
        {
            this.containerTitle.addClass( "containerTitle" );
            this.containerTitle.html( templateTexts["bo.fulltitle"] );

            this.createLogin();

            var homeButton = new Button( {value:templateTexts["app.home"], parent:this.containerTools, id:"button_home", className: "gray_button", classNameText:"blue_button_text", onClick:this.onClickHome} );

            var divSmallLogoEther = $( document.createElement( "div" ) );
            divSmallLogoEther.attr( {id:"smallLogoEther", class:"containerSmallLogoEther"} );
            divSmallLogoEther.append( '<a href="http://ether.ipsl.jussieu.fr" target="help"><img src="resources/images/logo_Ether.jpg" width="40px" height="40px"/></a>' );
            this.containerTools.append( divSmallLogoEther );
            $( "#smallLogoEther" ).show();

            this.updateLogoEther();
        },

        createLogin: function()
        {
            var buttonLogin = new LoginButton( { parent:this.containerLogin, urlLogin:"project?methodName=login", urlLogout:"project?methodName=logout", classNameToAdd:"gray" } );
            buttonLogin.setJSONUser( this.jSONUser );
            buttonLogin.display();
        },

        createMenu: function()
        {
            var usersButton = new Button( {value:templateTexts["bo.user"], parent:this.containerMenu, id:"button_home", className: "gray_button", classNameText:"blue_button_text", onClick:this.onClickUser} );
        },

        // EVENTS ********************************************************
        onClickHome: function()
        {
            document.location.href = "backoffice?methodName=home";
        },

        onClickUser: function()
        {
            document.location.href = "backoffice?methodName=viewUser";
        },

        /**
         * This method display a small Ether logo if the screen is too small to contain the big one
         */
        updateLogoEther: function()
        {
            if( this.screenWidthLimit > innerWidth )
            {
                $( "#logoEther" ).hide();
                $( "#linkLogoEther" ).hide();
                $( "#smallLogoEther" ).show();
            }
            else
            {
                $( "#logoEther" ).show();
                $( "#linkLogoEther" ).show();
                $( "#smallLogoEther" ).hide();
            }
        }

    } );

</script>